apiVersion: v1
data:
  apicast-policy.json: ewogICIkc2NoZW1hIjogImh0dHA6Ly9hcGljYXN0LmlvL3BvbGljeS12MS9zY2hlbWEjbWFuaWZlc3QjIiwKICAibmFtZSI6ICJBUEljYXN0IEV4YW1wbGUgUG9saWN5IiwKICAic3VtbWFyeSI6ICJUaGlzIGlzIGp1c3QgYW4gZXhhbXBsZS4iLAogICJkZXNjcmlwdGlvbiI6ICJUaGlzIHBvbGljeSBpcyBqdXN0IGFuIGV4YW1wbGUgaG93IHRvIHdyaXRlIHlvdXIgY3VzdG9tIHBvbGljeS4iLAogICJ2ZXJzaW9uIjogIjAuMSIsCiAgImNvbmZpZ3VyYXRpb24iOiB7CiAgICAidHlwZSI6ICJvYmplY3QiLAogICAgInByb3BlcnRpZXMiOiB7IH0KICB9Cn0K
  example.lua: bG9jYWwgc2V0bWV0YXRhYmxlID0gc2V0bWV0YXRhYmxlCgpsb2NhbCBfTSA9IHJlcXVpcmUoJ2FwaWNhc3QucG9saWN5JykubmV3KCdFeGFtcGxlJywgJzAuMScpCmxvY2FsIG10ID0geyBfX2luZGV4ID0gX00gfQoKZnVuY3Rpb24gX00ubmV3KCkKICByZXR1cm4gc2V0bWV0YXRhYmxlKHt9LCBtdCkKZW5kCgpmdW5jdGlvbiBfTTppbml0KCkKICBuZ3gubG9nKG5neC5ERUJVRywgImV4YW1wbGUgcG9saWN5IGluaXRpYWxpemVkIikKICAtLSBkbyB3b3JrIHdoZW4gbmdpbnggbWFzdGVyIHByb2Nlc3Mgc3RhcnRzCmVuZAoKZnVuY3Rpb24gX006aW5pdF93b3JrZXIoKQogIC0tIGRvIHdvcmsgd2hlbiBuZ2lueCB3b3JrZXIgcHJvY2VzcyBpcyBmb3JrZWQgZnJvbSBtYXN0ZXIKZW5kCgpmdW5jdGlvbiBfTTpyZXdyaXRlKCkKICAtLSBjaGFuZ2UgdGhlIHJlcXVlc3QgYmVmb3JlIGl0IHJlYWNoZXMgdXBzdHJlYW0KICBuZ3gucmVxLnNldF9oZWFkZXIoJ1gtRXhhbXBsZS1Qb2xpY3ktUmVxdWVzdCcsICdIRVJFJykKZW5kCgpmdW5jdGlvbiBfTTphY2Nlc3MoKQogIC0tIGFiaWxpdHkgdG8gZGVueSB0aGUgcmVxdWVzdCBiZWZvcmUgaXQgaXMgc2VudCB1cHN0cmVhbQplbmQKCmZ1bmN0aW9uIF9NOmNvbnRlbnQoKQogIC0tIGNhbiBjcmVhdGUgY29udGVudCBpbnN0ZWFkIG9mIGNvbm5lY3RpbmcgdG8gdXBzdHJlYW0KZW5kCgpmdW5jdGlvbiBfTTpwb3N0X2FjdGlvbigpCiAgLS0gZG8gc29tZXRoaW5nIGFmdGVyIHRoZSByZXNwb25zZSB3YXMgc2VudCB0byB0aGUgY2xpZW50CmVuZAoKZnVuY3Rpb24gX006aGVhZGVyX2ZpbHRlcigpCiAgLS0gY2FuIGNoYW5nZSByZXNwb25zZSBoZWFkZXJzCiAgbmd4LmhlYWRlclsnWC1FeGFtcGxlLVBvbGljeS1SZXNwb25zZSddID0gJ0hFUkUnCmVuZAoKZnVuY3Rpb24gX006Ym9keV9maWx0ZXIoKQogIC0tIGNhbiByZWFkIGFuZCBjaGFuZ2UgcmVzcG9uc2UgYm9keQogIC0tIGh0dHBzOi8vZ2l0aHViLmNvbS9vcGVucmVzdHkvbHVhLW5naW54LW1vZHVsZS9ibG9iL21hc3Rlci9SRUFETUUubWFya2Rvd24jYm9keV9maWx0ZXJfYnlfbHVhCmVuZAoKZnVuY3Rpb24gX006bG9nKCkKICAtLSBjYW4gZG8gZXh0cmEgbG9nZ2luZwplbmQKCmZ1bmN0aW9uIF9NOmJhbGFuY2VyKCkKICAtLSB1c2UgZm9yIGV4YW1wbGUgcmVxdWlyZSgncmVzdHkuYmFsYW5jZXIucm91bmRfcm9iaW4nKS5jYWxsIHRvIGRvIGxvYWQgYmFsYW5jaW5nCmVuZAoKcmV0dXJuIF9NCg==
  init.lua: cmV0dXJuIHJlcXVpcmUoJ2V4YW1wbGUnKQo=
kind: Secret
metadata:
  creationTimestamp: "2021-09-07T09:03:38Z"
  name: custom-policy-secret
  namespace: apicast-cand-4
  resourceVersion: "92276135"
  uid: 26da105c-4489-4d20-8871-911f8b4d01a8
type: Opaque
